Subject: Re: Problems running dejagnu on libstdc++v3.dg in gcc-3.0.1 prerelease 2001-07-16
From: Christian Jönsson <[email-masked]>
To: "Billinghurst, David \(CRTS\)" <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 20 Jul 2001 15:45:38 +0200

OK, I will try that, attached you find my (your?) patch file.

Cheers,

/ChJ

----- Original Message -----
From: "Billinghurst, David (CRTS)" <[email-masked]>
To: "'Christian Jönsson'" <[email-masked]>
Cc: <[email-masked]>
Sent: Friday, July 20, 2001 3:24 PM
Subject: RE: Problems running dejagnu on libstdc++v3.dg in gcc-3.0.1
prerelease 2001-07-16

I needed to patch /usr/share/dejagnu/target.exp to ignore
-ffunction-sections warnings.

Just under the lines "# Cygwin cc1 warns about -fpic" add

    # Cygwin gcc warns about -ffunction-sections
    regsub -all ".*: warning:
-ffunction-sections\[^\n\]*\n\[^\n\]\[^\n\]*may affect debugging on some
targets." $text "" text

making sure that the regsub is a single line - my mailer will mangle it :-(

> -----Original Message-----
> From: Christian Jönsson [SMTP:[email-masked]]
> Sent: Friday, July 20, 2001 11:14 PM
> To: Billinghurst, David (CRTS)
> Subject: Re: Problems running dejagnu on libstdc++v3.dg in gcc-3.0.1
> prerelease 2001-07-16
>
> Great. I have the 1.4.1 (under /usr/local, with the cygwin version
> uninstalled) with your patch
> http://mail.gnu.org/pipermail/dejagnu/2001-May/000031.html
> but nothing else. I do get lots of errors though:
>
> runtest=`if [ -f
> /usr/local/src/gcc-20010716/libstdc++-v3/../dejagnu/runtest ] ;
>  then echo /usr/local/src/gcc-20010716/libstdc++-v3/../dejagnu/runtest ;
> else echo runtest; fi`; \
> if /bin/sh -c "$runtest --version" > /dev/null 2>&1; then \
>   $runtest --tool libstdc++-v3 --srcdir $srcdir ; \
> else echo "WARNING: could not find \`runtest'" 1>&2; :;\
> fi
> WARNING: Couldn't find the global config file.
> WARNING: Couldn't find tool init file
> Test Run By Administrator on Fri Jul 20 15:13:07 2001
> Native configuration is i686-pc-cygwin
>
>                 === libstdc++-v3 tests ===
>
> Schedule of variations:
>     unix
>
> Running target unix
> Using /usr/local/share/dejagnu/baseboards/unix.exp as board description
> file
> for target.
> Using /usr/local/share/dejagnu/config/unix.exp as generic interface file
> for
> target.
> Using
> /usr/local/src/gcc-20010716/libstdc++-v3/testsuite/config/default.exp
> as tool-and-target-specific interface file.
> Running
> /usr/local/src/gcc-20010716/libstdc++-v3/testsuite/libstdc++-v3.dg/dg.exp
> ....
> FAIL: 17_intro/header_cassert.cc (test for excess errors)
> FAIL: 17_intro/header_cerrno.cc (test for excess errors)
> FAIL: 17_intro/header_ciso646.cc (test for excess errors)
> FAIL: 17_intro/header_csetjmp.cc (test for excess errors)
> FAIL: 17_intro/header_cstdarg.cc (test for excess errors)
> FAIL: 17_intro/header_cstddef.cc (test for excess errors)
> FAIL: 17_intro/header_cstdio.cc (test for excess errors)
> FAIL: 17_intro/header_cstdlib.cc (test for excess errors)
> FAIL: 17_intro/header_cstring.cc (test for excess errors)
> FAIL: 17_intro/header_ctime.cc (test for excess errors)
> FAIL: 17_intro/header_cwchar.cc (test for excess errors)
> FAIL: 17_intro/header_cwctype.cc (test for excess errors)
> FAIL: 17_intro/header_fstream.cc (test for excess errors)
> FAIL: 17_intro/header_iomanip.cc (test for excess errors)
> FAIL: 17_intro/header_ios.cc (test for excess errors)
> FAIL: 17_intro/header_iosfwd.cc (test for excess errors)
>
> etc
>
> /ChJ
>
> ----- Original Message -----
> From: "Billinghurst, David (CRTS)" <[email-masked]>
> To: "'Tim Prince'" <[email-masked]>; "Christian Jönsson"
> <[email-masked]>; "cygwin" <[email-masked]>
> Sent: Friday, July 20, 2001 5:28 AM
> Subject: RE: Problems running dejagnu on libstdc++v3.dg in gcc-3.0.1
> prerelease 2001-07-16
>
>
> recent gcc-3.1 results below - haven't been able to bootstrap since then.
> Needs dejagnu-1.4.1, with a tweak.  I will (try and) dig up my patches.
>
> === libstdc++-v3 tests ===
>
>
> Running target unix
> FAIL: 22_locale/ctype_char_members.cc execution test
> FAIL: 22_locale/members.cc execution test
> FAIL: 22_locale/numpunct_char_members.cc execution test
> XPASS: 26_numerics/c99_classification_macros_c.cc (test for excess errors)
>
> === libstdc++-v3 Summary ===
>
> # of expected passes 264
> # of unexpected failures 3
> # of unexpected successes 1
> # of expected failures 7
>
> Compiler version: 3.1 20010714 (experimental)
> Platform: i686-pc-cygwin
> configure flags: --host=i686-pc-cygwin --enable-threads=posix
> --enable-sjlj-exceptions --disable-shared
>
>
> > -----Original Message-----
> > From: Tim Prince [SMTP:[email-masked]]
> > Sent: Friday, 20 July 2001 13:25
> > To: Christian Jönsson; cygwin
> > Subject: Re: Problems running dejagnu on libstdc++v3.dg in gcc-3.0.1
> > prerelease 2001-07-16
> >
> > I believe that the libstdc++ testsuite requires a modification to
> > dejagnu, which is not present in any version avaiilable on gnu or cygwin
> > mirrors.  It would be of interest to find out how well the suite is
> > doing on cygwin.
> >
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/